\documentclass{D32MH2_exam}
\usepackage{multicol}
\usepackage{wrapfig}
\usepackage{enumitem}

\setlength{\columnsep}{5mm}

\newcommand{\ResultsTable}{%
\centerline{%
 \begin{tabular}{|l||c|c|c|c||c|}
 \hline
\bf Name and surname & \multicolumn{4}{c||}{\bf Problem} & $\boldsymbol{\Sigma}$ \\
 & \small 1 & \small 2 & \small 3 & \small 4  & \\
   \hline
\hspace{122mm} & 
\hspace{6mm} & \hspace{6mm} & 
\hspace{6mm} & \hspace{6mm} &
\hspace{6mm} \\[12mm] 
\hline
\end{tabular}
}}

\begin{document}    
\maketitle{10 June 2024}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\ResultsTable
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\Problem{25}{%
%
Consider the problem of asymptotic homogenization of scalar problems in periodic media and explain
%
\begin{enumerate}\itemsep=0pt
    \item[$\Box$] The assumptions of the method,
    \item[$\Box$] Main principles of the method,
    \item[$\Box$] The concept of micro- and macro-scale problems, 
    \item[$\Box$] Examples of problems in which the method can be applied and in which it does not give reasonable results. 
\end{enumerate}
}

\Problem{25}{%
%
Consider a micro-scale (unit cell) problem discretized with the finite element method. Discuss
%
\begin{enumerate}\itemsep=0pt
    \item[$\Box$] The structure of the system matrix and the right-hand side vector/column matrix,
    \item[$\Box$] The main challenges of solving the linear system of equations,
    \item[$\Box$] The boundary conditions relevant to the cell problem. For each type of boundary conditions, outline how they reflect in the linear system.  
\end{enumerate}
}

\Problem{25}{%
%
Effective/homogenized/apparent properties are the main quantity of interest in the numerical simulations of heterogeneous materials. 
%
\begin{enumerate}\itemsep=0pt
    \item[$\Box$] Outline how they can be obtained using the finite element method,
    \item[$\Box$] Clarify the role of different boundary conditions from Problem~2 in the process,
    \item[$\Box$] What other quantities can be extracted from the finite element solution?  
\end{enumerate}
}

\Problem{25}{%
%
For a non-linear version of the unit cell problem, discuss 
%
\begin{enumerate}\itemsep=0pt
    \item[$\Box$] The main differences between the linear and non-linear versions,
    \item[$\Box$] Strategy of a finite element-based implementation,
    \item[$\Box$] Applicability of analytical vs numerical approaches.  
\end{enumerate}
}

\Request

\end{document}